API ReferenceTracking
Update event
Update an existing event (same body shape as create).
Update an existing event (same body shape as create).
Authorization
clientKey AuthorizationBearer <token>
Your Oppizi client key. Send it as Authorization: Bearer <client-key>. Scoped to your client account only.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/tracking/events" \ -H "Content-Type: application/json" \ -d '{ "eventName": "Purchase", "value": 250 }'{ "success": true, "data": { "id": "string", "eventName": "Purchase", "value": 250, "transactionId": "string", "currency": "USD", "userId": "string", "campaignId": "string", "metricId": "string", "coupon": "string", "metadata": { "orderId": 182394 }, "createdAt": "2019-08-24T14:15:22Z" }}{ "success": false, "error": "Unauthorized"}